[![PyPI version shields.io](https://img.shields.io/pypi/v/pfc-toolkit.svg)](https://pypi.python.org/pypi/pfc-toolkit/)

# pfc-toolkit
The Precomputed Functional Connectome Toolkit (**pfc-toolkit**) is a Python module for functional lesion network mapping using the Precomputed Functional Connectome and is distributed under the 3-Cause BSD license.

The project was started in 2019 by William Drew for his Harvard undergraduate thesis project ('21).

The project was supervised by Dr. Michael D. Fox, MD, PhD first at the Berenson-Allen Center for Noninvasive Brain Stimulation at Beth Israel Deaconess Medical Center and later at the Center for Brain Circuit Therapeutics at Brigham and Women's Hospital.

This project references work from [@clin045](https://github.com/clin045)'s and [@alexlicohen](https://github.com/alexlicohen)'s `connectome_quick.py` from [nimlab](https://github.com/nimlab) and [@andreashorn](https://github.com/andreashorn)'s `connectome.sh` from [LeadDBS](https://github.com/netstim/leaddbs).

The Precomputed Functional Connectome Toolkit is for research only; please do not use results from PFC Toolkit for clinical decisions.

## Installation
### Dependencies
pfc-toolkit requires:
- Python (>=3.6)
- NumPy
- SciPy
- Numba
- Nibabel
- Nilearn
- tqdm
- natsort
- importlib

### User Installation
Install using `pip`
```
pip install -U pfc-toolkit
```

## Usage


## Development
### Source code
You can check the latest sources with the command:
```
git clone https://github.com/thewilliamdrew/pfc-toolkit.git
```

## Help and Support
### Documentation
Documentation is located [here](https://thewilliamdrew.github.io/pfc-toolkit). (WIP)
